#!/bin/sh
# 
# Manpage Keyword Translator
# ѱ  Ʈ <http://man.kldp.org>
# , <hermes44@secsm.org>
# v0.1, 2000 4 11, ó ۼ
# v0.1.2, 2000 4 13, ο Ű ߰, -v ɼ ߰, Լ ȭ
# v0.1.2.1, 2000 4 23, ACKNOWLEDGEMENTS Ű ߰
#

# ũ 
PROGRAM=`basename $0`
VERSION=0.1.2.1
TMP=/tmp/keyword2h$$
RM="rm -f"
MV="mv -f"

# ñ׳ ڵ鷯
trap "$RM ${TMP}.t*; exit 1" 1 2 13 15

################################################################################
#  Լ
################################################################################

#   Լ
usage()
{
	echo Manpage Keyword Translator \<http://man.kldp.org\>
	echo Usage: ${PROGRAM} [-h] [-v] filename [filename...]
	echo -h    print help 
	echo -v    print version
}

#    Լ
version()
{
   	echo Manpage Keyword Translator \<http://man.kldp.org\>
	echo version ${VERSION}
}

# ȯ Լ
translate()
{
	sed "s/\.SH [\"]*ACKNOWLEDGEMENTS[S]*[\"]*/.SH /" $1 > ${TMP}.t0
	sed "s/\.SH [\"]*AUTHOR[S]*[\"]*/.SH /" ${TMP}.t0 > ${TMP}.t1
	sed "s/\.SH [\"]*INTRODUCTION[S]*[\"]*/.SH Ұ/" ${TMP}.t1 > ${TMP}.t2
	sed "s/\.SH [\"]*BUG REPORT[S]*[\"]*/.SH  Ʈ/" ${TMP}.t2 > ${TMP}.t3
	sed "s/\.SH [\"]*BUG[S]*[\"]*/.SH /" ${TMP}.t3 > ${TMP}.t4
	sed "s/\.SH [\"]*COMMAND LINE OPTION[S]*[\"]*/.SH  ɼ/" ${TMP}.t4 > ${TMP}.t5
	sed "s/\.SH [\"]*COPYING[\"]*/.SH ۱/" ${TMP}.t5 > ${TMP}.t6
	sed "s/\.SH [\"]*COPYRIGHT[\"]*/.SH ۱/" ${TMP}.t6 > ${TMP}.t7
	sed "s/\.SH [\"]*DESCRIPTION[\"]*/.SH /" ${TMP}.t7 > ${TMP}.t8
	sed "s/\.SH [\"]*ENVIRONMENT VARIABLE[S]*[\"]*/.SH ȯ /" ${TMP}.t8 > ${TMP}.t9
	sed "s/\.SH [\"]*ENVIRONMENT[S]*[\"]*/.SH ȯ/" ${TMP}.t9 > ${TMP}.t10
	sed "s/\.SH [\"]*ERROR[S]*[\"]*/.SH /" ${TMP}.t10 > ${TMP}.t11
	sed "s/\.SH [\"]*EXAMPLE[S]*[\"]*/.SH /" ${TMP}.t11 > ${TMP}.t12
	sed "s/\.SH [\"]*EXIT CODE[S]*[\"]*/.SH  ڵ/" ${TMP}.t12 > ${TMP}.t13
	sed "s/\.SH [\"]*EXTENSION[S]*[\"]*/.SH Ȯ/" ${TMP}.t13 > ${TMP}.t14
	sed "s/\.SH [\"]*FILE[S]*[\"]*/.SH /" ${TMP}.t14 > ${TMP}.t15
	sed "s/\.SH [\"]*FLAG[S]*[\"]*/.SH ÷/" ${TMP}.t15 > ${TMP}.t16
	sed "s/\.SH [\"]*HISTORY[\"]*/.SH /" ${TMP}.t16 > ${TMP}.t17
	sed "s/\.SH [\"]*KEYWORD[S]*[\"]*/.SH Ű/" ${TMP}.t17 > ${TMP}.t18
	sed "s/\.SH [\"]*NAME[\"]*/.SH ̸/" ${TMP}.t18 > ${TMP}.t19
	sed "s/\.SH [\"]*NOTE[S]*[\"]*/.SH /" ${TMP}.t19 > ${TMP}.t20
	sed "s/\.SH [\"]*OPTION[S]*[\"]*/.SH ɼ/" ${TMP}.t20 > ${TMP}.t21
	sed "s/\.SH [\"]*RETURN VALUE[S]*[\"]*/.SH ȯ/" ${TMP}.t21 > ${TMP}.t22
	sed "s/\.SH [\"]*SEE ALSO[\"]*/.SH  ׸/" ${TMP}.t22 > ${TMP}.t23
	sed "s/\.SH [\"]*SYNOPSIS[\"]*/.SH /" ${TMP}.t23 > ${TMP}.t24
	sed "s/\.SH [\"]*SYNTAX[\"]*/.SH /" ${TMP}.t24 > ${TMP}.t25
	sed "s/\.SH [\"]*VERSION[\"]*/.SH /" ${TMP}.t25 > ${TMP}.t26
	sed "s/\.SH [\"]*WARNING[S]*[\"]*/.SH /" ${TMP}.t26 > ${TMP}.t27
	sed "s/\.SH [\"]*DIAGNOSTIC[S]*[\"]*/.SH /" ${TMP}.t27 > ${TMP}.t28
	sed "s/\.SH [\"]*HINT[S]*[\"]*/.SH Ʈ/" ${TMP}.t28 > ${TMP}.t29
	sed "s/\.SH [\"]*ARGUMENT[S]*[\"]*/.SH /" ${TMP}.t29 > ${TMP}.t30
	sed "s/\.SH [\"]*USAGE[S]*[\"]*/.SH /" ${TMP}.t30 > ${TMP}.t31
	sed "s/\.SH [\"]*COMMAND[S]*[\"]*/.SH /" ${TMP}.t31 > ${TMP}.t32
	sed "s/\.SH [\"]*WARNING[S]*[\"]*/.SH /" ${TMP}.t32 > ${TMP}.t33
	sed "s/\.SH [\"]*CONFORMING TO[\"]*/.SH ȣȯ/" ${TMP}.t33 > ${TMP}.t34
	sed "s/\.SH [\"]*CONFORMS TO[\"]*/.SH ȣȯ/" ${TMP}.t34 > ${TMP}.t35
	sed "s/\.SH [\"]*COMPATIBILITY[\"]*/.SH ȣȯ/" ${TMP}.t35 > ${TMP}.t36
	sed "s/\.SH [\"]*STANDARD OPTION[S]*[\"]*/.SH ǥ ɼ/" ${TMP}.t36 > ${TMP}.t37
	sed "s/\.SH [\"]*STANDARD[S]*[\"]*/.SH ǥ/" ${TMP}.t37 > $1

	# ӽ ϵ 
	${RM} ${TMP}.t*
}


################################################################################
# ũƮ 
################################################################################

# ڰ 
if [ $# -eq 0 ] ; then
	usage
	exit 1
fi

#  ˻
for arg
do
	case $arg in 
	-h) #  
		usage
		exit 0 ;;

	-v) #  
		version
		exit 0 ;;

	*)
		;;
											esac
done

# ȯ
for arg
do
	if [ ! -e $arg ] ; then
		echo ${PROGRAM}: $arg file not found.
	elif [ ! -r $arg ] ; then
		echo ${PROGRAM}: $arg file can\'t be read.
	else
		translate $arg
	fi
done
										exit 0


